MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/uri.h File Reference

`#include <glib.h>`
`#include <stdbool.h>`

Go to the source code of this file.

## Functions
G_GNUC_PURE bool | uri_has_scheme (const char *uri)
| Checks whether the specified URI has a schema in the form "scheme://".
G_GNUC_PURE const char * | uri_get_suffix (const char *uri)
G_GNUC_PURE bool | uri_safe_local (const char *uri)
| Returns true if this is a safe "local" URI:
G_GNUC_MALLOC char * | uri_remove_auth (const char *uri)
| Removes HTTP username and password from the URI.

## Function Documentation

G_GNUC_PURE const char* uri_get_suffix | ( | const char * | uri | ) |

G_GNUC_PURE bool uri_has_scheme | ( | const char * | uri | ) |

Checks whether the specified URI has a schema in the form "scheme://".

G_GNUC_MALLOC char* uri_remove_auth | ( | const char * | uri | ) |

Removes HTTP username and password from the URI.

This may be useful for displaying an URI without disclosing secrets. Returns NULL if nothing needs to be removed, or if the URI is not recognized.

G_GNUC_PURE bool uri_safe_local | ( | const char * | uri | ) |

Returns true if this is a safe "local" URI:

- non-empty
- does not begin or end with a slash
- no double slashes
- no path component begins with a dot